eventselection: 
  process:
    process_type: interpolated-script-cmd
    script: |
      source /home/atlas/release_setup.sh 
      source /code/src/build/x86*/setup.sh 
      echo "{SERVICE_PASS}" | kinit {CERN_USER}@CERN.CH
      xAH_run.py --config {configFile} --files {inputFile} --submitDir output --inputList --nevents 2500 --force direct
      ls
      ls /code/src/output
      cp /code/src/output/hist-{inputContainer}.root {outputFile}
  publisher:
    publisher_type: interpolated-pub
    publish:
      histFile: '{outputFile}'
    glob: true
  environment:
    environment_type: docker-encapsulated
    image: gitlab-registry.cern.ch/jesjer-parent/jesjer-insitu/insitubalance
    imagetag: bhonan-larger-db-9909e3e6
    
eventselection_list: 
  process:
    process_type: interpolated-script-cmd
    script: |
      source /home/atlas/release_setup.sh 
      source /code/src/build/x86*/setup.sh 
      echo "{SERVICE_PASS}" | kinit {CERN_USER}@CERN.CH
      echo {modBaseAlgo}
      echo {modConfig}
      
      # data or MC and which
      echo "========= BaseConf ============================="
      ls scripts
      python /code/src/scripts/ModConfig.py -i /code/src/source/InsituBalance/data/BaseAlgos.py -m {modBaseAlgo}
      cat tempModConfig.txt
      cp tempModConfig.txt /code/src/source/InsituBalance/data/BaseAlgos.py

      # which systematics to run
      echo "========= MainConf ============================="
      python /code/src/scripts/ModConfig.py -i {configFile} -m {modConfig}
      cat tempModConfig.txt
      cp tempModConfig.txt {configFile}
      
      xAH_run.py --config {configFile} --files {inputList} --submitDir output --inputList --nevents 2500 --force direct
      ls
      ls /code/src/output
      cp /code/src/output/hist-{sampleName}.root '{stepdir}/{sampleName}.root'
  publisher:
    publisher_type: interpolated-pub
    publish:
      histFile: '{stepdir}/{sampleName}.root'
    glob: true
  environment:
    environment_type: docker-encapsulated
    image: gitlab-registry.cern.ch/jesjer-parent/jesjer-insitu/insitubalance
    imagetag: bhonan-larger-db-9909e3e6

merge:
  process:
    process_type: interpolated-script-cmd
    script: |
      pwd
      source /home/atlas/release_setup.sh 
      ls
      hadd {outputFile} {inputFiles}
  publisher:
    publisher_type: interpolated-pub
    publish:
      histFile: '{outputFile}'
    glob: true
  environment:
    environment_type: docker-encapsulated
    image: gitlab-registry.cern.ch/jesjer-parent/jesjer-insitu/insitubalance
    imagetag: bhonan-larger-db-9909e3e6

validate:
  process:
    process_type: interpolated-script-cmd
    script: |
      pwd
      source /home/atlas/release_setup.sh 
      ls
      python scripts/DrawHist.py -i {inputFile} -p small_R_jet_pt_precalib -o {outputPlot}
  publisher:
    publisher_type: interpolated-pub
    publish:
      plotFile: '{outputPlot}'
    glob: true
  environment:
    environment_type: docker-encapsulated
    image: gitlab-registry.cern.ch/jesjer-parent/jesjer-insitu/insitubalance
    imagetag: bhonan-larger-db-9909e3e6

validate_data_mc:
  process:
    process_type: interpolated-script-cmd
    script: |
      pwd
      source /home/atlas/release_setup.sh 
      ls
      python scripts/DrawDataMC.py -m {inputFile_mc} -d {inputFile_data} -p small_R_jet_pt_precalib -r 2 -o {outputPlot}
  publisher:
    publisher_type: interpolated-pub
    publish:
      plotFile: '{outputPlot}'
    glob: true
  environment:
    environment_type: docker-encapsulated
    image: gitlab-registry.cern.ch/jesjer-parent/jesjer-insitu/insitubalance
    imagetag: bhonan-larger-db-9909e3e6
        
